// -*- coding: utf-8 -*- 
// An'dohan Trufainne - Ringworld III
// RingIII.sc
// JackDole
// 2016.07.09 15:44:24

//------------------------------------------------------------------------------
// Some data I have taken from here:
// Ringworld parameters
// http://www.alcyone.com/max/reference/scifi/ringworld.html
//------------------------------------------------------------------------------

// Au       149597870.691
// DaysYear 365.24218985

//------------------------------------------------------------------------------

Star "An'dohan/Haula"
{
    ParentBody  "JDV 00042"
    Class       "G3 V.e"
    MassSol     0.970
    RadSol      0.977
    
    Lum         0.94
    AbsMagn     5.0
    
    Teff        5600
    Age         4.5
    
    Oblateness      0.0
    Obliquity       0.0
    EqAscendNode    0
    
    StaticPosPolar  (0.0 0.0 0.0)
}

// Global rings ----------------------------------------------------------------
Asteroid "ShadowRing"
{
    ParentBody  "JDV 00042"
    Class       "Asteroid"
    
    Radius          54000000
    Mass            1
    Oblateness      0.0
    
    Obliquity       0
    EqAscendNode    0
    
    RotationPeriod  340.8
    RotationOffset  0
    
    Surface 
    {
        DiffMap         "NRWorld/Shadow.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/ShadowRim.*"
        GlowMode        "Night"
        GlowColor       (1.0 1.0 1.0)
        GlowBright      0.05
    }
    
    Clouds
    {
        Height          -100000
        DiffMap         "NRWorld/Shadow.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/ShadowRim.*"
        GlowMode        "Night"
        GlowColor       (1.0 1.0 1.0)
        GlowBright      0.05
        Velocity        0
    }
    
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    

    StaticPosPolar  (0.0 0.0 0.0)
}

Asteroid "RingNight"
{
    ParentBody  "JDV 00042"
    Class       "Asteroid"
    
    Radius          152700000
    Mass            1
    Oblateness      0.0
    
    Obliquity       0
    EqAscendNode    0
    
    RotationPeriod  340.8
    RotationOffset  0
    
    Surface 
    {
        DiffMap         "NRWorld/Shadow50.*"
        DiffMapAlpha    "Transp"
    }
    
    Clouds
    {
        Height          0
        DiffMap         "NRWorld/Shadow50.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/Shadow50.*"
        GlowMode        "Permanent"
        GlowColor       (0.0 0.0 0.5)
        GlowBright      0.25
        Velocity        0
    }
    
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    

    StaticPosPolar  (0.0 0.0 0.0)
}

Planet "An'dohan Trufainne"
{
    ParentBody  "JDV 00042"
    Class       "Terra"
    
    Radius      152750000
    Mass        1e-4
    
    Oblateness      0.0

    RotationPeriod  218.64
    Obliquity       0
    EqAscendNode    0

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }

    Surface
    {
        DiffMap         "NRWorld/Rim.*"
        BumpMap         "NRWorld/Rim_Bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/Rim.*"
        GlowMode        "Night"
        GlowColor       (1.0 1.0 1.0)
        GlowBright      0.05
    }
    
    Clouds
    {
        Height          -10000
        DiffMap         "NRWorld/surface_diff.*"
        BumpMap         "NRWorld/surface_bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/surface_diff.*"
        GlowMode        "Night"
        GlowColor       (1.0 1.0 1.0)
        GlowBright      1
        Velocity        0
    }
    
    Clouds
    {
        Height          -20000
        DiffMap         "NRWorld/clouds_diff.*"
        BumpMap         "NRWorld/clouds_bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/clouds_glow.*"
        GlowMode        "Night"
        GlowColor       (1.0 1.0 1.0)
        GlowBright      0.25
        Velocity        0
    }
    
    NoOcean     true
    
    Atmosphere
    {
        Model          "Earth"
        Height          1
        Density         1.2929
        Pressure        1
        Greenhouse      33
        Bright          0
        Opacity         0
        SkyLight        0
        Hue             0
        Saturation      1

        Composition
        {
            N2    	77.7729
            O2    	20.8625
            Ar    	0.9303
            H2O   	0.4
            CO2   	0.0398
        }
    }

    NoRings         true
    NoCometTail     true
    NoAurora        true
    NoLighting      true
    
    StaticPosPolar   (0.0 0.0 0.0)
}

Asteroid "Skrit"
{
    ParentBody  "An'dohan Trufainne"
    Class       "Asteroid"
    
    Radius      152800000
    Mass        1e-4
    
    Oblateness      0.0

    RotationPeriod  218.64
    Obliquity       0
    EqAscendNode    0

    Surface
    {
        DiffMap         "NRWorld/Rim.*"
        BumpMap         "NRWorld/Rim_Bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/Rim.*"
        //GlowMap         "NRWorld/Rim_glow.*"
        GlowMode        "Night"
        GlowColor       (1.0 1.0 1.0)
        GlowBright      0.05
    }

    NoClouds        true
    NoAtmosphere    true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar   (0.0 0.0 0.0)
}

Asteroid "LRim"
{
    ParentBody  "An'dohan Trufainne"
    Class       "Asteroid"
    
    Radius      152800000
    Mass        1e-4
    
    Oblateness      0.999

    RotationPeriod  218.64
    Obliquity       0
    EqAscendNode    0

    Surface
    {
        DiffMap         "NRWorld/SideRim.*"
        BumpMap         "NRWorld/SideRim_bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/SideRim.*"
        GlowMode        "Night"
        GlowColor       (1.0 1.0 1.0)
        GlowBright      0.05
    }
    
    NoClouds        true
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 90.0 4900000.0)
}

Asteroid "SRim"
{
    ParentBody  "An'dohan Trufainne"
    Class       "Asteroid"
    
    Radius      152800000
    Mass        1e-4
    
    Oblateness      0.999

    RotationPeriod  218.64
    Obliquity       0
    EqAscendNode    0

    Surface
    {
        DiffMap         "NRWorld/SideRim.*"
        BumpMap         "NRWorld/SideRim_bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "NRWorld/SideRim.*"
        GlowMode        "Night"
        GlowColor       (1.0 1.0 1.0)
        GlowBright      0.05
    }
    
    NoClouds        true
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 -90.0 4900000.0)
}

//------------------------------------------------------------------------------
